declare @DB_ID int
set @DB_ID=5
select
L.request_session_id AS SPID, 
DB_NAME(L.resource_database_id) AS DatabaseName,
O.[name] AS LockedObjectName, 
O.object_id AS LockedObjectId, 
L.resource_type AS LockedResource, 
--ST.[text] AS MostRecentSqlStatementText,
ES.login_name AS LoginName,
ES.host_name AS HostName,
ES.program_name AS ProgramName,
ES.client_interface_name AS ClientInterfaceName,
client_net_address AS ClientNetAddress,
local_net_address AS LocalNetAddress
from sys.dm_tran_locks L (nolock)
	join sys.objects O (nolock)
		on O.object_id=L.resource_associated_entity_id
	JOIN sys.dm_exec_sessions ES (nolock)
		ON ES.session_id = L.request_session_id
	JOIN sys.dm_exec_connections CN (nolock)
		ON CN.session_id = ES.session_id
--	CROSS APPLY sys.dm_exec_sql_text(CN.most_recent_sql_handle) AS ST
where resource_database_id=@DB_ID and O.[name]<>'sysschobjs'